> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Store Cursor subscription auth



## OpenAPI

````yaml api-reference/openapi.account.json PUT /cursor/auth/subscription
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /cursor/auth/subscription:
    put:
      tags:
        - cursor-auth
      summary: Store Cursor subscription auth
      operationId: putCursorAuthSubscription
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutCursorSubscriptionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  auth:
                    anyOf:
                      - $ref: '#/components/schemas/CursorAuthStatus'
                      - type: 'null'
                  needs_reauth:
                    type: boolean
                  reauth_reason:
                    type: string
                required:
                  - auth
                  - needs_reauth
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    PutCursorSubscriptionRequest:
      additionalProperties: false
      properties:
        accessToken:
          minLength: 1
          pattern: \S
          type: string
        refreshToken:
          minLength: 1
          pattern: \S
          type: string
      required:
        - accessToken
        - refreshToken
      type: object
    CursorAuthStatus:
      additionalProperties: false
      properties:
        type:
          enum:
            - subscription
          type: string
      required:
        - type
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````